

package gov.va.med.cds.scheduler.persistence;


public class CensusAcknowledgementResponse
    extends
        RoutingData
{
    private static final long serialVersionUID = 6261721653053435995L;

    private Long censusMasterId;
    private String messageControlId;
    private String transformStatus;
    private String errorMessage;


    public Long getCensusMasterId( )
    {
        return censusMasterId;
    }


    public void setCensusMasterId( Long censusMasterId )
    {
        this.censusMasterId = censusMasterId;
    }


    public String getMessageControlId( )
    {
        return messageControlId;
    }


    public void setMessageControlId( String messageControlId )
    {
        this.messageControlId = messageControlId;
    }


    public String getTransformStatus( )
    {
        return transformStatus;
    }


    public void setTransformStatus( String transformStatus )
    {
        this.transformStatus = transformStatus;
    }


    public String getErrorMessage( )
    {
        return errorMessage;
    }


    public void setErrorMessage( String errorMessage )
    {
        this.errorMessage = errorMessage;
    }
}
